Bug 338137

Summary: kate-4.13.97 pate plugin build fails
Product: bindings Reporter: Rex Dieter <rdieter>
Component: pykdeAssignee: kde-bindings
Status: RESOLVED FIXED    
Severity: normal CC: demm
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: fix out-of-tree builds
fix out-of-tree builds

Description Rex Dieter 2014-08-08 19:23:29 UTC
[ 75%] Generating ./kate/sipkatepart0.cpp
cd ...kate-4.13.97/x86_64-redhat-linux-gnu/addons/kate/pate/sip && /usr/bin/cmake -E echo

cd .../kate-4.13.97/x86_64-redhat-linux-gnu/addons/kate/pate/sip && touch .../kate-4.13.97/x86_64-redhat-linux-gnu/addons/kate/pate/sip/./kate/sipkatepart0.cpp
cd .../kate-4.13.97/x86_64-redhat-linux-gnu/addons/kate/pate/sip && /usr/bin/sip -t ALL -t WS_X11 -t Qt_4_8_4 -g -x PyKDE_QVector -j 1 -c .../kate-4.13.97/x86_64-redhat-linux-gnu/addons/kate/pate/sip/./kate -I /usr/share/sip/PyQt4 -I /usr/share/sip/PyKDE4 -I .../kate-4.13.97/addons/kate/pate/sip/kate .../kate-4.13.97/addons/kate/pate/sip/kate/katemod.sip
sip: Unable to find file "pykde_config.sip"
make[2]: *** [addons/kate/pate/sip/./kate/sipkatepart0.cpp] Error 1


Interestingly, the build is ok when building against pykde4-4.13.3, only fails like this when trying to use pykde4-4.13.97
Comment 1 Rex Dieter 2014-08-08 19:24:41 UTC
And, I can find no pykde_config.sip anywhere either.
Comment 2 Rex Dieter 2014-08-08 19:26:36 UTC
OK, found a reference in pykde4 sources, seems the problem of awol pykde_config.sip lies there.
Comment 3 Rex Dieter 2014-08-08 19:32:30 UTC
It would appear that neither pykde_config.sip nor pykdeconfig.py get created if one does out-of-tree builds, e.g.

mkdir build; 
cd build
cmake ..
make
...
Comment 4 Rex Dieter 2014-08-08 19:40:28 UTC
Created attachment 88169 [details]
fix out-of-tree builds

first try, seems to fix the problem for me.
Comment 5 Rex Dieter 2014-08-08 19:57:54 UTC
Hrm, that was just a start, the files get created at build time, but they don't seem to get installed yet.
Comment 6 Rex Dieter 2014-08-09 03:04:27 UTC
Created attachment 88172 [details]
fix out-of-tree builds

Second version, also handles installing new pykde_config.sip file
Comment 7 Rex Dieter 2014-08-09 04:38:30 UTC
Submitted,
https://git.reviewboard.kde.org/r/119679/
Comment 8 Rex Dieter 2014-08-14 20:17:28 UTC
Git commit 84139e526d1ed02d15606dacbd4c9b0c8cf1a872 by Rex Dieter.
Committed on 14/08/2014 at 20:15.
Pushed by rdieter into branch 'KDE/4.14'.

install pykde_config.sip too
REVIEW: 119679

M  +1    -0    CMakeLists.txt

http://commits.kde.org/pykde4/84139e526d1ed02d15606dacbd4c9b0c8cf1a872